
Enduro/X Core - Support #506

test021 on RPI failed

01/23/2020 11:58 PM - Lauris

Status: Closed Start date: 01/23/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Shutdown finished. 1 processes stopped.

* ndrxd PID (from PID file): 2763

exec tmsrv -k nre38Kff1kz -i 50 -e /home/user1/endurox/atmitest/test021_xafull/TM1.log -r -- -t1

 -l/home/user1/endurox/atmitest/test021_xafull/RM1 -m10 -s1 -r2 -P1 -R --  :

        process id=4821 ... Started.

Startup finished. 1 processes started.

* Shared resources opened...

* ndrxd PID (from PID file): 2763

* Shared resources opened...

* ndrxd PID (from PID file): 2763

Tran count: [0] must be: [0]

O-api tests:

Will issue calls to clients:

Will run conversation tests:

Cli tests...

ls: cannot access './RM1/TRN-*': No such file or directory

ls: cannot access './RM2/TRN-*': No such file or directory

Test error detected!

Test exiting with: -2

Setting domain 1

* Shared resources opened...

* ndrxd PID (from PID file): 2763

Server executable = tpbridge    Id = 101 :      Shutdown succeeded.

Server executable = tmsrv       Id = 50 :       Shutdown succeeded.

Shutdown finished. 2 processes stopped.

Setting domain 2

* Shared resources opened...

* ndrxd PID (from PID file): 2828

Server executable = tpbridge    Id = 101 :      Shutdown succeeded.

Server executable = convsv21    Id = 50 :       Shutdown succeeded.

Server executable = atmi.sv21   Id = 30 :       Shutdown succeeded.

Server executable = tmsrv       Id = 10 :       Shutdown succeeded.

Shutdown finished. 4 processes stopped.

Killing [atmiclt21] ... Failed

************ FINISHED TEST: [test021_xafull/run.sh] with 65024 ************

/home/user1/endurox/atmitest/atmiunit1.c:212: Failure: atmi_test_all -> test021_xafull

        [ret] should be [0] but was [65024]

************ RUNNING TEST: [test022_typedstring/run.sh] *********************

~/endurox/atmitest ~/endurox/atmitest

Doing cd

To control debug output, set debugconfig file path in $NDRX_DEBUG_CONF

N:NDRX:4:00000000:    0:76f16010:000:20200123:142235498:plugins_load:inbase.c:0221:No plugins defined by NDRX_PLUGINS

 env variable

N:NDRX:5:00000000:    0:76f16010:000:20200123:142235499:cconfig_load:config.c:0430:CC tag set to: []

N:NDRX:5:00000000:    0:76f16010:000:20200123:142235499:x_inicfg_new:inicfg.c:0115:_ndrx_inicfg_new:

History
#1 - 02/01/2020 08:16 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Removed EPOLLET for bridge connection. Seems that epoll did not trigger events, if at the time of returning to the polling, there was already

message present.

https://github.com/endurox-dev/endurox/commit/72c0bf912c1bb62bb7f6a38f864d213b2e6c21e6

#2 - 02/01/2020 08:34 PM - Madars

- Status changed from Resolved to Closed

Files

test021_xafull.tar.gz 7.45 MB 01/23/2020 Lauris
